<?php

namespace Modules\Admin\app\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ForgotPasswordMail extends Mailable
{
    use Queueable, SerializesModels;

    protected $email;
    protected $name;
    protected $forgot_code;

    /**
     * Forgot send mail
     *
     * @param string $email
     * @param string $name
     * @param string $forgot_code
     */
    public function __construct($email, $name, $forgot_code)
    {
        $this->email = $email;
        $this->name = $name;
        $this->forgot_code = $forgot_code;

        $this->to($email);
        $this->subject('Forgot Password');
        $this->replyTo(config('mail.from.address'));
    }

    /**
     * Build the message.
     */
    public function build(): self
    {
        return $this->view('admin::mails/forgot_password', get_object_vars($this));
    }
}
